# geos::operation::valid::ConnectedInteriorTester Class Reference

This class tests that the interior of an area Geometry (Polygon or MultiPolygon) is connected. More...

`#include <ConnectedInteriorTester.h>`

List of all members.

## Public Member Functions

| ConnectedInteriorTester (geomgraph::GeometryGraph &newGeomGraph)
geom::Coordinate & | getCoordinate ()
bool | isInteriorsConnected ()

## Static Public Member Functions

static const geom::Coordinate & | findDifferentPoint (const geom::CoordinateSequence *coord, const geom::Coordinate &pt)

## Protected Member Functions

void | visitLinkedDirectedEdges (geomgraph::DirectedEdge *start)

## Detailed Description

This class tests that the interior of an area Geometry (Polygon or MultiPolygon) is connected.

An area Geometry is invalid if the interior is disconnected. This can happen if:

- one or more holes either form a chain touching the shell at two places
- one or more holes form a ring around a portion of the interior

If an inconsistency if found the location of the problem is recorded.

The documentation for this class was generated from the following file:

- ConnectedInteriorTester.h